/*
File:   HARDWARE.INC

Copyright 1998, 1999 Larry Barello

Author: Larry Barello
        lbarello@accessone.com

You are allowed to use this file for personal use only.

You may use, embed, modify or distribute the contents
of this file in any way you see fit as long as you 
include this copyright notice in the resulting file.

Any commercial or industrial use including publishing
or distributing in any form requires the written 
authorization of the copyright holder(s).

No guarantees are made about fitness, functionality, 
correctness or performance of this file.  The file is 
supplied on a "AS IS" basis, with no responsibility 
assumed by the author(s) for bug fixes, support, or 
damages of any sort arising from the use of this file. 

Contact the author with problem reports or fixes, 
feature requests or additions and questions.  They 
are welcomed and will be incorporated as time and 
energy permits.

*/;
; Define the following to enable debugging bit twiddling in the kernel
;
;#define DEBUG PORTB
#define IDLELED PB0     // Off when IdleTask
#define ILED    PB1     // Tracks I status
#define USERLED1 PB2    // User defined stuff
#define USERLED2 PB3
#define USERLED3 PB3
;
; Motor Control Port
;
MOTOR           DEFINE  PORTB
MOTORDDR_INIT   DEFINE  0xFF    ; All pins are outputs

RightForward    DEFINE  PB0     ; Control signals into L293 dual bridge
RightReverse    DEFINE  PB1
LeftReverse     DEFINE  PB2
LeftForward     DEFINE  PB3

Vin             DEFINE  PB4     ; Control signal into Sharp Proximity Sensor

Servo1Bit       DEFINE  PB5     ; Control signal to R/C Servo for targeting
RightLed        DEFINE  PB6     ; I/R emitters
LeftLed         DEFINE  PB7
;
; Port D is used for Inputs and serial I/O
;
SENSOR DEFINE   PIND

Vout            DEFINE  PD6     ; Vout from Sharp Proximity Sensor
RightBoundry    DEFINE  PD5     ; Hamamatsu reflex photo detectors
LeftBoundry     DEFINE  PD4
FrontIR         DEFINE  PD3     ; Sharp I/R detectors
RearIR          DEFINE  PD2

SENSORDDR_INIT  DEFINE  0x00
SENSORPORT_INIT DEFINE  (1<<RightBoundry | 1<<LeftBoundry | 1<<FrontIR | 1<<RearIR)

