/*
File:   Register.inc

Copyright 1998, 1999 Larry Barello

Author: Larry Barello
        lbarello@accessone.com

You are allowed to use this file for personal use only.

You may use, embed, modify or distribute the contents
of this file in any way you see fit as long as you 
include this copyright notice in the resulting file.

Any commercial or industrial use including publishing
or distributing in any form requires the written 
authorization of the copyright holder(s).

No guarantees are made about fitness, functionality, 
correctness or performance of this file.  The file is 
supplied on a "AS IS" basis, with no responsibility 
assumed by the author(s) for bug fixes, support, or 
damages of any sort arising from the use of this file. 

Contact the author with problem reports or fixes, 
feature requests or additions and questions.  They 
are welcomed and will be incorporated as time and 
energy permits.

*/#if (((__TID__ >> 8) & 0x7F) != 90)
#error This file should only be compiled by aa90
#endif

#define _TARGET_ 2313           // 128 bytes of RAM
;
; Local Variables
;
; R0 is part of the minimum kernel set (lpm instruction)
;
#define         Servo1          R1      // Servo Pulse width
#define         PWM_COUNT       R2      // Free running counter
#define         SERVO_COUNT     R3      // Reset to provide pulse timing
#define         TargetDirection R4
#define         NearestTarget   R5
;
; I/R subsystem for near field proximity detection
;
#define         LedOrMask       R6
#define         LedCount        R7

#define         AVAILABLE0      R8

#define         pLeftDrive      R9      // Temp Motor drive values from NearTargeting
#define         pRightDrive     R10

#define         tLeftDrive      R11     // Temp motor drive values from Targeting
#define         tRightDrive     R12
;
; The following three items are optional register variables for AvrX
; If not defined, AvrX will compile using the same names in SRAM
;
#define         _Running        R13     // Current Running task
#define         _SysLevel       R14     // Kernel Stack Nesting Level, -1 = User Stack
#define         _TimQLevel      R15     // Counter for nesting of timer interrupts
;
; High Registers.  Most are devoted to particular processes.  Most could be low
; registers, but code is tighter by having the 'ldi' instruction available.
;
#define		RxByte		R16	// Serial IO uses 'ldi/cpi' a lot.
#define		TxByte		R17
#define         SioFlags        R18     // Register used by Monitor/SerialIO for flags

#define         LeftMotor       R19     // PWM values
#define         RightMotor      R20
#define         MotorDriveTmp   R21     // Scratch register to speed DoMotor interrupt
#define         IR              R22     // Scratch and results register for I/R detect

#define         AVAILABLE1      R23
;
; The following 16 bit register pair is saved by the small
; context save.  Only used by the monitor.  Can be used by other processes
; as local temps as long as they cannot be pre-empted by the monitor.  I.e.
; critical sections (sei/cli or _Prolog/_Epilog)
;
#define		Wl 		r24
#define		Wh 		r25
;
; These registers are the minimum set saved by the kernel
; They are always available in any context.  They also happen
; to be either index registers (X, Y & Z), LPM
; N.B. R0 is also saved (LPM instruction)
;
#define		Xl 		r26
#define		Xh 		r27
#define		Yl 		r28
#define		Yh 		r29
#define		Zl 		r30
#define		Zh 		r31
